﻿using System;
using CustomerModel;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void Save(object sender, EventArgs e)
    {
        TestEntities db = new TestEntities();
        db.Connection.Open();
        using (System.Data.Common.DbTransaction transaction = db.Connection.BeginTransaction())
        {
            try
            {
                Customer customer = new Customer();
                customer.Name = txtName.Text.Trim();
                customer.Country = txtCountry.Text.Trim();
                db.Customers.AddObject(customer);

                Customer customerInvalid = new Customer();
                customerInvalid.Name = "";
                customerInvalid.Country = "";
                db.Customers.AddObject(customerInvalid);

                db.SaveChanges();
                transaction.Commit();
            }
            catch (Exception ex)
            {
                transaction.Rollback();
            }
        }
    }
}