﻿Imports CustomerModel

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Save(ByVal sender As Object, ByVal e As EventArgs)
        Dim db As TestEntities = New TestEntities()
        db.Connection.Open()
        Using transaction As System.Data.Common.DbTransaction = db.Connection.BeginTransaction()
            Try
                Dim customer As Customer = New Customer()
                customer.Name = txtName.Text.Trim()
                customer.Country = txtCountry.Text.Trim()
                db.Customers.AddObject(customer)

                Dim customerInvalid As Customer = New Customer()
                customerInvalid.Name = ""
                customerInvalid.Country = ""
                db.Customers.AddObject(customerInvalid)

                db.SaveChanges()
                transaction.Commit()
            Catch ex As Exception
                transaction.Rollback()
            End Try
        End Using
    End Sub
End Class
